Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmfd-py.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <glob.h>`
`#include <dirent.h>`
`#include <rpmio_internal.h>`
`#include <rpmlib.h>`
`#include "header-py.h"`
`#include "rpmfd-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures
struct | FDlist_t
## Typedefs
typedef FDlist_t | FDlist
## Functions
PyObject * | rpmfd_Debug (rpmfdObject *s, PyObject *args)
int | closeCallback (FILE *f)
PyObject * | rpmfd_Fopen (PyObject *self, PyObject *args)
PyObject * | rpmfd_getattr (rpmfdObject *o, char *name)
rpmfdObject * | rpmfd_Wrap (FD_t fd)
## Variables
int | _rpmio_debug
FDlist * | fdhead = NULL
FDlist * | fdtail = NULL
PyMethodDef | rpmfd_methods []
char | rpmfd_doc []
PyTypeObject | rpmfd_Type

## Detailed Description

Definition in file rpmfd-py.c.

## Typedef Documentation

typedef struct FDlist_t FDlist

| Definition at line 46 of file rpmfd-py.c.

## Function Documentation

int closeCallback | ( | FILE * | f | ) | `[static]`

| Definition at line 67 of file rpmfd-py.c. References _free, FDlist_t::f, Fclose, FDlist_t::fd, fdFree, fdLink, FDlist_t::next, and FDlist_t::note. Referenced by rpmfd_Fopen.

PyObject* rpmfd_Debug | ( | rpmfdObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 35 of file rpmfd-py.c. References _rpmio_debug.

PyObject* rpmfd_Fopen | ( | PyObject * | self,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 99 of file rpmfd-py.c. References _free, closeCallback, FDlist_t::f, FDlist_t::fd, fdGetFp, fdLink, Ferror, Fopen, Fstrerror, FDlist_t::next, FDlist_t::note, pyrpmError, xmalloc, and xstrdup.

rpmfdObject* rpmfd_Wrap | ( | FD_t | fd | ) |

| Definition at line 228 of file rpmfd-py.c. References rpmfdObject_s::fd, and rpmfd_Type.

## Variable Documentation

int _rpmio_debug

| Definition at line 26 of file rpmfd-py.c. Referenced by rpmfd_Debug.

FDlist* fdhead = NULL`[static]`

| Definition at line 59 of file rpmfd-py.c.

FDlist* fdtail = NULL`[static]`

| Definition at line 63 of file rpmfd-py.c.

char rpmfd_doc[]`[static]`

| Initial value:
    ""
Definition at line 175 of file rpmfd-py.c.